Public Member Functions | Public Attributes | List of all members
MsWksDBParserInternal::State Struct Reference

Internal: the state of a MsWksDBParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
DataBase | m_database
| the database More...
std::vector< int > | m_widthCols
| the column size in pixels(?) More...
Forms | m_forms
| the forms More...
int | m_numReports
| the number of report More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_pageLength
| the page length in point (if known) More...

## Detailed Description

Internal: the state of a MsWksDBParser.

## Constructor & Destructor Documentation

## ◆ State()

MsWksDBParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MsWksDBParserInternal::State::m_actPage

the actual page

## ◆ m_database

DataBase MsWksDBParserInternal::State::m_database

the database

## ◆ m_forms

Forms MsWksDBParserInternal::State::m_forms

the forms

## ◆ m_numPages

int MsWksDBParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_numReports

int MsWksDBParserInternal::State::m_numReports

the number of report

## ◆ m_pageLength

int MsWksDBParserInternal::State::m_pageLength

the page length in point (if known)

## ◆ m_widthCols

std::vector<int> MsWksDBParserInternal::State::m_widthCols

the column size in pixels(?)

The documentation for this struct was generated from the following file:

- MsWksDBParser.cxx